1. mrpeenut24's Avatar
    For the last month or so I haven't been able to use my Bold as a mass storage device. The option is enabled, and set to prompt. The prompt never shows, but DM shows my pin and I'm able to do data transfer through the various BB programs I've got on my laptop (DM, CrackUtil, JL_Cmder, etc.)

    This happens in both Windows & Linux, so I doubt it's a problem with my laptop. And since I've got data transfer, I doubt it's a problem with my USB cable, but to be sure I've tested it with another and it still doesn't work. I've also tested multiple USB ports with no success. I just tested it on another computer, and the Blackberry shows up, but the mass storage device doesn't.

    I'm using the beta 5.0 OSes, and aside from a possible hardware failure, I think it may be because of that. Is this happening to anyone else? I really don't want to attempt an RMA, but I've got a few other hardware issues that make me think I've got a crappy one.
    08-05-09 02:41 PM
  2. los318's Avatar
    is it a referb? If so you most likely have the same issue a lot of others have had. Give this a shot..
    http://forums.crackberry.com/f83/mas...56/index3.html
    08-05-09 03:55 PM
  3. mrpeenut24's Avatar
    Nope, I bought mine brand new last year. However, I did debrand mine, which seems to be the way a lot of them end up this way. However, when I run the program, I get "This loader software is too old for this device. Please use a newer version." Google only turns up 2 instances of this ever happening, and they're both on the same (spanish) website. :'( It seems that 3.9.0.49 is the latest version of this software that's been released, so I'm going to try to downgrade my Bold to 4.6 and see if it'll work then... If not, I may be screwed... I can't believe that this one other dude and I are the only two people in the world who've come across this error message...
    08-05-09 05:20 PM
  4. mrpeenut24's Avatar
    Carlos, you're fantastic! I really appreciate it.

    It seems that that version of the command line programmer isn't compatible with the 5.0 OS. And what made it even more confusing was that simply wiping the device wasn't enough. Apparently, wiping the device doesn't wipe the RAM image. So, I had to downgrade to 4.6, then try it, and that fixed it.

    Thanks again Carlos, I really appreciate it. :-)
    08-05-09 05:38 PM
  5. los318's Avatar
    great!

    i was just about to suggest downgrading to 4.6, do the fix and reload 5.0. Glad it helped!
    08-05-09 05:51 PM
  6. mrpeenut24's Avatar
    -sigh- I found another, much easier way... (But don't get me wrong, I'm truly grateful!)

    In the escreen, under OS Engineering > USB > USB Port Info, there's this screen, and it does the exact same thing the clp does, only in 1/100th the time (in my case):
    08-07-09 08:29 PM
LINK TO POST COPIED TO CLIPBOARD